/*
 * Class EV_GRID_ROW_I
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1170 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1170 [] = {0xFF01,1551,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1170 [] = {0xFF01,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1170 [] = {0xFF01,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1170 [] = {0xFF01,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1170 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1170 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1170 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1170 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1170 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1170 [] = {0xFF01,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1170 [] = {0xFF01,0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1170 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1170 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1170 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1170 [] = {0xFF01,654,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1170 [] = {0xFF01,989,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1170 [] = {0xFF01,1567,0xFF01,1001,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1170 [] = {0xFF01,1598,1169,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1170 [] = {0xFF01,1031,0xFFFF};


static const struct desc_info desc_1170[] = {
	{EIF_GENERIC(NULL), 27226, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1170), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1170), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1170), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1170), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1170), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1170), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1170), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1170), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1170), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1170), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1170), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1170), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0923 /*1169*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1170), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26577, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27139, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27140, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26578, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26579, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1170), 26580, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BB /*989*/), 27225, 16},
	{EIF_NON_GENERIC(0x069B /*845*/), 26582, 50},
	{EIF_NON_GENERIC(0x069B /*845*/), 26583, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26584, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26585, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26586, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26587, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x069B /*845*/), 26588, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26589, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26590, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26591, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26592, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26593, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26594, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26595, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26596, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26597, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26598, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26599, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 26600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16005, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 16006, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 16007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1170), 4546, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1170), 4547, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1170), 4548, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1170), 4549, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x051D /*654*/), 4550, 0},
	{EIF_NON_GENERIC(0x051D /*654*/), 4551, 4},
	{EIF_NON_GENERIC(0x051D /*654*/), 4552, 8},
	{EIF_NON_GENERIC(0x051D /*654*/), 4553, 12},
	{EIF_GENERIC(NULL), 27080, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27165, 84},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 19391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27141, 44},
	{EIF_GENERIC(NULL), 27142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27143, 52},
	{EIF_GENERIC(NULL), 27144, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27145, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27146, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1170), 27147, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27148, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BB /*989*/), 27149, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x080F /*1031*/), 27150, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07BB /*989*/), 27151, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x07D3 /*1001*/), 27152, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1170), 27153, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27154, 45},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27155, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27156, 56},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27159, 46},
	{EIF_GENERIC(NULL), 27160, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27161, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27162, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27163, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0355 /*426*/), 27166, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27168, 60},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27169, 64},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27170, 68},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0785 /*962*/), 27174, 24},
	{EIF_NON_GENERIC(0x0785 /*962*/), 27175, 28},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27176, 47},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27177, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27178, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27179, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27180, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27181, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27182, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27183, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27184, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27185, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27186, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27188, 48},
	{EIF_GENERIC(NULL), 27189, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27190, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27191, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27192, 49},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27194, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27195, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27197, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27198, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27202, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27204, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27206, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27207, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27208, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1170), 27209, 32},
	{EIF_NON_GENERIC(0x0967 /*1203*/), 27210, 36},
	{EIF_NON_GENERIC(0x0923 /*1169*/), 27211, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27212, 72},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27213, 76},
	{EIF_GENERIC(NULL), 27214, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27216, 80},
	{EIF_GENERIC(NULL), 27217, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27218, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27220, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27222, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27223, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1170), 27224, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 27165, 84},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27158, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 27157, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27199, 0xFFFFFFFF},
};
void Init1170(void)
{
	IDSC(desc_1170, 0, 1169);
	IDSC(desc_1170 + 1, 1, 1169);
	IDSC(desc_1170 + 32, 1513, 1169);
	IDSC(desc_1170 + 59, 590, 1169);
	IDSC(desc_1170 + 62, 1425, 1169);
	IDSC(desc_1170 + 70, 667, 1169);
	IDSC(desc_1170 + 72, 700, 1169);
	IDSC(desc_1170 + 74, 776, 1169);
	IDSC(desc_1170 + 153, 483, 1169);
}


#ifdef __cplusplus
}
#endif
